/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';
import TemplateOne from '.';

export default {
  title: 'Theme/Modules/Spotlight/Icon/Template One',
  component: TemplateOne,
  argTypes: {},
  parameters: {
    docs: {
      description: {
        component: 'A component that shows a list of pros and cons and corresponding icons.',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <TemplateOne {...args} />;

export const Default = Template.bind({});
Default.args = {
  module: {
    mode: 'icon',
    read_more_text: '',
    show_read_more: '0',
    items: [
      {
        icon: `1701956447/ellipse-48.png`,
        link_text: `Lorem Ipsum `,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
      },
      {
        icon: `1701956447/ellipse-48.png`,
        link_text: `Lorem Ipsum `,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
      },
      {
        icon: `1701956447/ellipse-48.png`,
        link_text: `Lorem Ipsum `,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
      },
      {
        icon: `1701956447/ellipse-48.png`,
        link_text: `Lorem Ipsum `,
        link: {
          title: null,
          type: 'internal',
          value: `/rizk`,
        },
      },
    ],
  },
};
